Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Class NotOpGen

- java.lang.Object
- - org.apache.sling.scripting.sightly.java.compiler.impl.operator.NotOpGen

All Implemented Interfaces:
  `UnaryOpGen`

    public final class NotOpGen
    extends Object
    implements UnaryOpGen

Generator for the not operator

### Field Summary

Fields
`static NotOpGen` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source, org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor, TypedNode typedNode)`
`org.apache.sling.scripting.sightly.java.compiler.impl.Type` `returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type operandType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final NotOpGen INSTANCE

### Method Detail

#### returnType

    public org.apache.sling.scripting.sightly.java.compiler.impl.Type returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type operandType)

Specified by:
  `returnType` in interface `UnaryOpGen`

#### generate

    public void generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source,
                         org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor,
                         TypedNode typedNode)

Specified by:
  `generate` in interface `UnaryOpGen`